We're Here to Support You

 

 

iPadWithApps_2015Tech requirements for Bouncy and Bouncy School Edition:

  • iPad – generation 2 or higher
  • iOS version 6.1.3 or above
  • 600 MB storage space

Tech requirements for Howmuch-ometer:

  • iPad – generation 2 or higher
  • iOS version 6.1.3 or higher
  • 500 MB storage space

Need more support? 

See the Tech FAQ,

email us at ,

or click here:

ask_tech_btn